# class RSS::Rss::Channel::Item::Enclosure

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/0.9.rb, line 352
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.url = args[0]
        self.length = args[1]
        self.type = args[2]
      end
    end

### Private Instance Methods

maker_target(item) click to toggle source

    # File lib/rss/0.9.rb, line 364
    def maker_target(item)
      item.enclosure
    end

setup_maker_attributes(enclosure) click to toggle source

    # File lib/rss/0.9.rb, line 368
    def setup_maker_attributes(enclosure)
      enclosure.url = url
      enclosure.length = length
      enclosure.type = type
    end